SELECT 
  SID_CORPORATE,
  SID_USER,
  MAILLINK,
  MENUCOLOR,
  1 AS menustyle,
  'S' AS usemenubar,
  1 AS displaysize,
  CAST('1' AS VARCHAR) AS addrtarget,
  (case when maillink='2' then CAST('1' AS VARCHAR) else CAST('0' AS VARCHAR) end) as connectmail
FROM
  TMPR_SETTING 
WHERE
  SID_CORPORATE=1 
ORDER BY
  SID_USER
