select 
	SID_CORPORATE, 
	setaccess, 
	menurefresh, 
	refreshtime, 
	helplocale, 
	helplocaleurl, 
	maillink, 
	menucolor, 
	(SUBSTR(hideicon,1,8) || '0')::char(9) as hideicon, 
	nochgitem, 
	portalsetting, 
	log, 
	contentsrow, 
	contentsurlh, 
	starttab, 
	(case when attachsizeuse='1' then attachsize else 0 end) as attachsize, 
	attachsizeuse, 
	contentsuse, 
	CAST('1' AS VARCHAR) AS addrtarget,
	(case when maillink='2' then CAST('1' AS VARCHAR) else CAST('0' AS VARCHAR) end) as connectmail,
	'0' as is_use_contents_group,
	'1' as use_attache,
	'1' as use_att_limit,
	'' as help_apps_locale,
	'' as help_apps_locale_url
from 
	TM_SETTING WHERE SID_CORPORATE=1;
