select 
      a.SID_CORPORATE
    , a.SID_USER
    , a.sid_creport
    , a.ID
    , a.SID_ATTACH
    , a.filename
    , a.dispname
    , a.mimetype
    , COALESCE(b.subject,'') || COALESCE(b.detail,'') as logtitle
from 
    TTPR_ATTACH_CRT_DRAFT_PARTS a
join 
    TTPR_CRT_DRAFT b 
  on 
    a.SID_CORPORATE=b.SID_CORPORATE 
  and 
    a.SID_USER=b.SID_USER 
  and 
    a.sid_creport=b.ID
where 
    a.SID_CORPORATE=1
