select b.SID_CORPORATE
    , b.SID_USER as SID_USER
    , b.sid_creport
    , b.ID
    , case when b.ID >= 0 then b.SEQNO else coalesce(c.maxseqno,0) + abs(b.SEQNO) end as SEQNO
    , b.htmltype
    , b.htmlparts
    , b.Name
    , b.namehide
    , b.preval
    , b.hissuchk
    , b.partshide
    , b.br
    , b.selval
    , b.srows
    , b.yeartype
    , b.decimalpoint
    , b.unit
    , b.unitarrange
    , b.minval
    , b.maxval
	, case when b.htmltype = '6' then '0'
			else NULL
			end as prevaltype 
from 
    TTPR_CRT_DRAFT_PARTS b 
left outer join 
    (select sid_corporate, sid_user, sid_creport, max(seqno) as maxseqno from TTPR_CRT_DRAFT_PARTS where id>=0 group by sid_corporate, sid_user, sid_creport) as c
  on 
    c.sid_corporate=b.sid_corporate 
  and 
    c.sid_user=b.sid_user 
  and 
    c.sid_creport=b.sid_creport 
where 
    b.SID_CORPORATE=1
