select a.SID_CORPORATE
	, a.ID
	, a.SID_ATTACH
	, a.filename
	, a.dispname
	, a.mimetype
	, COALESCE(b.subject,'') || COALESCE(b.detail,'') as logtitle
	from TT_ATTACH_CRT as a
	join tt_crt as b on a.SID_CORPORATE=b.SID_CORPORATE and a.ID=b.ID
	where a.SID_CORPORATE=1
order by
	SID_CORPORATE, ID, SID_ATTACH