select SID_CORPORATE
	, SID_USER
	, ID
	, subject
	, detail
	, important
	, entrydate
	, entrytime
	, period
	, memo
	, '1'::char as perm_comment
	, '1'::char as add_ntwi
    , (SELECT COUNT(*) FROM TTPR_ATTACH_CRT_DRAFT att WHERE a.ID=att.ID AND a.sid_user=att.sid_user AND att.SID_CORPORATE=1 ) AS countattcr
    , (SELECT COUNT(*) FROM TTPR_ATTACH_CRT_DRAFT_PARTS attpr WHERE a.ID=attpr.SID_CREPORT AND a.sid_user=attpr.sid_user AND attpr.SID_CORPORATE=1 ) AS countattpr
	from TTPR_CRT_DRAFT a
	where SID_CORPORATE=1
	order by SID_CORPORATE, SID_USER, ID
