select SID_CORPORATE
	, NULL as SID_GROUP
	, ID
	, Name
	, FLWKIND
	, SEQNO
	, '0' as draft
	, CAST(NULL AS numeric(9)) as SID_SERNO
	, CAST(CASE WHEN FLWKIND='F' THEN '1' ELSE NULL END AS CHAR(1)) as endmail
	, CAST(CASE WHEN FLWKIND='F' THEN '1' ELSE NULL END AS CHAR(1)) as form_chg_flg
	, CAST(CASE WHEN FLWKIND='F' THEN '1' ELSE NULL END AS CHAR(1)) as route_chg_flg
	, CAST(NULL AS numeric(9)) as docfolderid
	, CAST(NULL AS numeric(9)) as entry
	, CAST(NULL AS numeric(9)) as updateuser
	, '0' as approval_unlock_order_flg
	, '0' as approval_route_chang_flg
	, '0' as approval_attach_flg
	, '0' as docfolder_modify_flg
	from TM_FLW_FORMAT
	where SID_CORPORATE=1
union all
select SID_CORPORATE
	, SID_GROUP
	, ID
	, Name
	, FLWKIND
	, SEQNO
	, '0' as draft
	, CAST(NULL AS numeric(9)) as SID_SERNO
	, CAST(CASE WHEN FLWKIND='F' THEN '1' ELSE NULL END AS CHAR(1)) as endmail
	, CAST(CASE WHEN FLWKIND='F' THEN '1' ELSE NULL END AS CHAR(1)) as form_chg_flg
	, CAST(CASE WHEN FLWKIND='F' THEN '1' ELSE NULL END AS CHAR(1)) as route_chg_flg
	, CAST(NULL AS numeric(9)) as docfolderid
	, CAST(NULL AS numeric(9)) as entry
	, CAST(NULL AS numeric(9)) as updateuser
	, '0' as approval_unlock_order_flg
	, '0' as approval_route_chang_flg
	, '0' as approval_attach_flg
	, '0' as docfolder_modify_flg
	from TM_FLW_GROUP_FORMAT
	where SID_CORPORATE=1
order by SID_CORPORATE
	, SID_GROUP
	, SEQNO
